%define version 0.99.6
%define	name    xine-ui
%define	xineversion 1.1.1
%define	xinerel	7.1

Name:		%name
Summary:	A Free Video Player
Version:	%version
Release:	%mkrel 4
License:	GPLv2+
Group:		Video
Source0:	http://prdownloads.sourceforge.net/xine/%name-%version.tar.bz2
Patch0:		xine-ui-0.99.6-fix-desktop-entry.patch
Patch1:		xine-ui-0.99.6-libpng15.patch
Patch2:		xine-ui-0.99.6-curl-headers.patch
URL:		http://xine.sourceforge.net/
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	curl
BuildRequires:	aalib-devel
BuildRequires:	libcaca-devel
BuildRequires:	curl-devel
BuildRequires:	png-devel
Buildrequires:	libxine-devel >= %xineversion-%xinerel
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
BuildRequires:	libnvtvsimple-devel
BuildRequires:	libxt-devel

%description 
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.

%package	aa
Summary:	XINE - Ascii Art player
Group:		Video
Requires:	xine-plugins >= %xineversion-%xinerel
Requires:	xine-aa

%description	aa
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.

%package	fb
Summary:	XINE - framebuffer video player
Group:		Video
Requires:	xine-plugins >= %xineversion-%xinerel

%description	fb
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.


%prep
%setup -q
%apply_patches

%build
export XINE_DOCPATH="%_datadir/doc/xine-ui"
%configure2_5x --enable-vdr-keys --with-caca --with-aalib
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""
install -D -m 644 misc/desktops/xine.desktop %buildroot%_datadir/applications/%name.desktop

#language files
%find_lang xine-ui --all-name --with-man

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xine-ui.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_datadir/applications/%name.desktop
%_datadir/icons/hicolor/*/apps/xine*
%_datadir/mime/packages/xine-ui.xml
%_mandir/man1/*

%files aa
%defattr(-,root,root)
%doc README
%_bindir/aaxine
%_bindir/cacaxine

%files fb
%defattr(-,root,root)
%doc README
%_bindir/fbxine



%changelog

* Fri Sep 16 2011 fwang <fwang> 0.99.6-4.mga2
+ Revision: 144218
- clean up spec
- fix build with latest curl
- fix build with latest png

* Thu Mar 10 2011 mikala <mikala> 0.99.6-4.mga1
+ Revision: 67749
- Remove BuildRoot
- Remove mdk macros
- imported package xine-ui

